.links {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: var(--padding);

    a {
        display: flex;
        border: 2px solid color-mix(in srgb, var(--primary-color) 30%, white);
        padding: var(--padding);
        border-radius: 7px;
        font-weight: 500;
        text-decoration: none;
        justify-content: center;
        align-items: center;
        gap: var(--padding);

        svg {
            height: 1em;
            width: auto;
            fill: currentColor;
        }
        
        &:focus, &:hover {
            transform: scale(1.1);
            box-shadow: 4px 4px 10pxblack;
            color: white;
            border-color: white;
        }
    }
}

.music-cards {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--padding);

    .music-card {
        --card-color: white;
        
        align-items: flex-start;
        background-color: color-mix(in srgb, var(--card-color) 20%, transparent);
        backdrop-filter: blur(10px);
        padding: var(--padding);
        border-left: 3px solid var(--card-color);
        border-radius: 3px;
        display: flex;
        flex-direction: row;
        gap: var(--padding);
        
        a {
            display: flex;
            flex-direction: row;
            gap: var(--padding);
            align-items: center;
            font-size: 1.3em;
            img {
                border-radius: 10px;
                min-width: 150px;
                max-width: 150px;
            }
        }

        .music-card-info {
            display: flex;
            flex-direction: column;
            gap:calc(var(--padding) * 0.5);
            margin-top: -5px;

            h3 {
                margin-bottom: -5px;
            }

            audio {
                max-width: 500px;
                border-radius: 15px;
                backdrop-filter: blur(10px);
                box-shadow: 2px 2px 5px rgb(0, 0, 0, 0.6);
            }
        }

        p a {
            all: unset;
            color: white;
            cursor: pointer;
            text-decoration: none;
            &:focus, &:hover {
                color: color-mix(in srgb, var(--secondary-color) 50%, white);
            }
        }

        &.red {
            --card-color: var(--soft-red);
        }

        &.blue {
            --card-color: var(--soft-blue);
        }

        &.green {
            --card-color: var(--soft-green);
        }

        &.purple {
            --card-color: var(--soft-purple);
        }

        &.yellow {
            --card-color: var(--soft-yellow);
        }

        &.trans {
            background-color: transparent;
        }

        img:not([src]), img[src=""] {
            display: none;
        }

        a:has(img:not([src])), a:has(img[src=""]) {
            display: none;
        }
    }
}

@media (max-width: 500px) {

    .links {
        flex-direction: column;
    }

    .music-cards .music-card {
        flex-direction: column;
    }
}